*{margin: 0em; padding: 0em; box-sizing: border-box;}

@font-face {
	font-family: "traf";
	src: url("fonts/traf.ttf");
}
/*ANIMATION*/
@keyframes spin {
    0%, 15% {
		transform: rotate(0);
	}
	100% {
		transform: rotate(360deg);
	}
}

@-webkit-keyframes slide-in-left {
  0% {
    -webkit-transform: translateX(-1000px);
            transform: translateX(-1000px);
    opacity: 0;
  }
  100% {
    -webkit-transform: translateX(0);
            transform: translateX(0);
    opacity: 1;
  }
}
@keyframes slide-in-left {
  0% {
    -webkit-transform: translateX(-1000px);
            transform: translateX(-1000px);
    opacity: 0;
  }
  100% {
    -webkit-transform: translateX(0);
            transform: translateX(0);
    opacity: 1;
  }
}

@-webkit-keyframes color-change-5x {
  0% {
    background: #19dcea;
  }
  25% {
    background: #b22cff;
  }
  50% {
    background: #ea2222;
  }
  75% {
    background: #f5be10;
  }
  100% {
    background: #3bd80d;
  }
}
@keyframes color-change-5x {
  0% {
    background: #19dcea;
  }
  25% {
    background: #b22cff;
  }
  50% {
    background: #ea2222;
  }
  75% {
    background: #f5be10;
  }
  100% {
    background: #3bd80d;
  }
}

@-webkit-keyframes bg-pan-br {
  0% {
    background-position: 0% 0%;
  }
  100% {
    background-position: 100% 100%;
  }
}
@keyframes bg-pan-br {
  0% {
    background-position: 0% 0%;
  }
  100% {
    background-position: 100% 100%;
  }
}
/*ANIMATION*/
/*PRELOADER*/
/*.preloader {
  position: fixed;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  background: #e0e0e0;
  z-index: 1001;
}
.loaded_hiding .preloader {
  transition: 0.3s opacity;
  opacity: 0;
}
.loaded .preloader {
  display: none;
}
.loader {
    background: #000;
    background: radial-gradient(#222, #000);
    bottom: 0;
    left: 0;
    overflow: hidden;
    position: fixed;
    right: 0;
    top: 0;
    z-index: 99999;
}

.loader-inner {
    bottom: 0;
    height: 60px;
    left: 0;
    margin: auto;
    position: absolute;
    right: 0;
    top: 0;
    width: 100px;
}

.loader-line-wrap {
    animation: 
		spin 2000ms cubic-bezier(.175, .885, .32, 1.275) infinite
	;
    box-sizing: border-box;
    height: 50px;
    left: 0;
    overflow: hidden;
    position: absolute;
    top: 0;
    transform-origin: 50% 100%;
    width: 100px;
}
.loader-line {
    border: 4px solid transparent;
    border-radius: 100%;
    box-sizing: border-box;
    height: 100px;
    left: 0;
    margin: 0 auto;
    position: absolute;
    right: 0;
    top: 0;
    width: 100px;
}
.loader-line-wrap:nth-child(1) { animation-delay: -50ms; }
.loader-line-wrap:nth-child(2) { animation-delay: -100ms; }
.loader-line-wrap:nth-child(3) { animation-delay: -150ms; }
.loader-line-wrap:nth-child(4) { animation-delay: -200ms; }
.loader-line-wrap:nth-child(5) { animation-delay: -250ms; }

.loader-line-wrap:nth-child(1) .loader-line {
    border-color: hsl(0, 80%, 60%);
    height: 90px;
    width: 90px;
    top: 7px;
}
.loader-line-wrap:nth-child(2) .loader-line {
    border-color: hsl(60, 80%, 60%);
    height: 76px;
    width: 76px;
    top: 14px;
}
.loader-line-wrap:nth-child(3) .loader-line {
    border-color: hsl(120, 80%, 60%);
    height: 62px;
    width: 62px;
    top: 21px;
}
.loader-line-wrap:nth-child(4) .loader-line {
    border-color: hsl(180, 80%, 60%);
    height: 48px;
    width: 48px;
    top: 28px;
}
.loader-line-wrap:nth-child(5) .loader-line {
    border-color: hsl(240, 80%, 60%);
    height: 34px;
    width: 34px;
    top: 35px;
}*/
/*PRELOADER*/
body{
  color: #222831;
  font-size: 1.8vw;
  font-family: monospace;
  background-color: #222831;
}
form{
  width: 36vw;
  height: 81vh;
  position:absolute;
  top: 9vh; 
  left: 13vw;
  z-index: 1;
  background-color: #fffff0;
  opacity: .8;
  display: flex;
  flex-direction: column;
  padding: 1.8vw;
}
h1{
  font-size: 1.8vw;
  margin: 1.3vw 0;
}
input{
  margin-bottom: 1vw;
}
form>input:last-of-type{
  height: 3vw;
}
div{
  width: 18vw;
  position: absolute;
  top: 21vh;
  right: 27vw;
  opacity: .8;
  z-index: 1;
  display: flex;
  flex-direction: column;
}
a{
  font-family: "traf";
  width: 32vw;
  font-size: 9vw;
  margin: 3vh 0;
  display: block;
  color: #fffff0;
}
a:hover{
  -webkit-animation: color-change-5x 3s linear infinite alternate both;
          animation: color-change-5x 3s linear infinite alternate both;
}
#c {
  opacity:.8;
}
canvas {
  width: 100vw;
  height: 100vh;
  position:absolute;
  top:0; left:0;
}
